
QGIS Application - Bug report #8629

QGIS Dufour 2.0.1 32 or 64 crash at startup on Windows 7 64

2013-09-19 12:18 AM - Loic BUSCOZ

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Build/Install

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 17363

Description

Hi,

I encountred a problem with the new version of QGIS downloaded at http://qgis.org/downloads/ (QGIS-OSGeo4W-2.0.1-Setup-x86.exe

or QGIS-OSGeo4W-2.0.1-Setup-x86_64.exe) or with the OSGeo4W version.

All this versions crash at statup and create a minidump file. I have upload this file here (40.7 Mo) : 

https://www.dropbox.com/s/ir7y7owacic27qb/qgis-20130919-085110-4128-5060-exported.dmp

I tried differents compatibility modes on windows, without success...

I tried uninstalling all older versions of QGIS and delet all registry entries before installing the new version, without success...

My configuration :

- Windows Seven 64 bits

- Intel Core i7-2600 K

- 8 Go RAM

- SSD drive Samsung 840 pro

QGIS Weekly 2.1 Alpha (773e0d4) works fine.

Any idea ?

Thanks in advance.

Related issues:

Related to QGIS Application - Bug report # 8738: Field Calculator with problems Closed 2013-10-01

Duplicated by QGIS Application - Bug report # 8658: Startup Windows 7 Runtime... Closed 2013-09-24

Duplicated by QGIS Application - Bug report # 8637: error (not blocking) when... Closed 2013-09-21

Duplicated by QGIS Application - Bug report # 8635: Activating Plugin "Add De... Closed 2013-09-20

Duplicated by QGIS Application - Bug report # 8942: R6034 runtime error Closed 2013-10-23

Associated revisions

Revision 20bde89a - 2013-10-03 04:32 PM - Jürgen Fischer

osgeo4w: move system directories to end of PATH (fixes #8629)

Revision c797895c - 2013-10-03 04:33 PM - Jürgen Fischer

osgeo4w: move system directories to end of PATH (fixes #8629)
History

#1 - 2013-09-19 02:55 AM - Jürgen Fischer

Any conflicting DLLs installed in %WINDIR%\\system32 (or %WINDIR%\\syswow64 in case of running the 32bit on Windows 64bit)?  You should rename

those (or move them to the piece of software that actually uses it).

#2 - 2013-09-19 07:07 AM - Loic BUSCOZ

So it is just a problem with my configuration. But how find the offending dlls ?

#3 - 2013-09-19 07:17 AM - Jürgen Fischer

Loic BUSCOZ wrote:

So it is just a problem with my configuration. But how find the offending dlls ?

Probably - there are other working installations ;)     Just check if there's some DLL in %OSGEO4W_ROOT%\\bin that also exists in system32 - those will

mask the DLLs in %OSGEO4W_ROOT%\\bin.

#4 - 2013-09-20 12:31 AM - Loic BUSCOZ

I found msvcp100.dll and msvcr100.dll. So I uninstalled all Microsoft Visual C++, and QGIS and restarted. There is no more conflicting DLLs apparently,

but QGIS Dufour still craches...

#5 - 2013-09-20 01:54 AM - andre mano

I have the same problem here - minidump error when starting QGIS 2.0.1. It begun today after I updated QGIS 2.0.1 from OSGEO4W installer. Specs and

configs are basically the same of Loic BUSCOZ.

#6 - 2013-09-20 04:07 AM - Aurelien Di Meo

I've got nearly the same problem: I use the standalone installerof the 2.0.1 Dufour and when i try to start QGIS, Ive got the error message:the application is

unable to start error N°0xc00000cc

Ant ideas?

#7 - 2013-09-21 12:44 PM - Giovanni Manghi

I spent the day testing any available qgis 2.0/master installer for Windows.

I used a clean windows 7 machine and after each test I cleaned the system by removing installations leftovers, registry keys, etc.

I didn't get any crash on start, but with the 64 bit installers it consistently gave me this message

https://www.dropbox.com/s/h0pitcgcxpzg3mb/Capture.JPG
that by the way is not blocking (at least it seems).

#8 - 2013-09-22 04:26 AM - Jürgen Fischer

Giovanni Manghi wrote:

I spent the day testing any available qgis 2.0/master installer for Windows.

I used a clean windows 7 machine and after each test I cleaned the system by removing installations leftovers, registry keys, etc.

I didn't get any crash on start, but with the 64 bit installers it consistently gave me this message

https://www.dropbox.com/s/h0pitcgcxpzg3mb/Capture.JPG

that by the way is not blocking (at least it seems).

Try 2.0.1-2 from osgeo4w-setup-(x86|x86_64).exe -t and/or standalone

#9 - 2013-09-22 07:38 AM - Giovanni Manghi

Try 2.0.1-2 from osgeo4w-setup-(x86|x86_64).exe -t and/or standalone

same error message for me, with both the osgeo4w and standalone 64 bit installers (both tests with 2.0.1-2).

#10 - 2013-09-22 11:46 PM - Loic BUSCOZ

Jürgen Fischer wrote:

Try 2.0.1-2 from osgeo4w-setup-(x86|x86_64).exe -t and/or standalone

I tried the 2.0.1-2 version (standalone) and it works fine ! No more crash and no more minidump ;-)

Thanks Giovanni.

#11 - 2013-09-23 12:17 AM - Giovanni Manghi

You have to thank Jurgen :)

Glad it works for you, here I still get that message? maybe I'm missing something to be installed?

#12 - 2013-09-23 12:42 AM - Loic BUSCOZ

Oops, sorry. Thanks to Jürgen, I made a mistake !

Hope it will works for you Giovanni. Personally, I didn't install anything else.
Loïc

#13 - 2013-10-01 03:08 AM - Simon Funder

Jürgen Fischer wrote:

Giovanni Manghi wrote:

I spent the day testing any available qgis 2.0/master installer for Windows.

I used a clean windows 7 machine and after each test I cleaned the system by removing installations leftovers, registry keys, etc.

I didn't get any crash on start, but with the 64 bit installers it consistently gave me this message

https://www.dropbox.com/s/h0pitcgcxpzg3mb/Capture.JPG

that by the way is not blocking (at least it seems).

Try 2.0.1-2 from osgeo4w-setup-(x86|x86_64).exe -t and/or standalone

I'm experiencing the same issue as described here, also with the 2.0.1-2 standalone version.

Simon

#14 - 2013-10-01 07:17 AM - Minoru Akagi

I also get the same error with the 64-bit build. Strangely, I can see "msvcr90.dll" twice in the mini-dump from the Process Explorer. The error seems to

occur after the second msvcr90.dll load.

The first load is located after loading libeay32.dll (the path is

C:\\Windows\\winsxs\\amd64_microsoft.vc90.crt_1fc8b3b9a1e18e3b_9.0.30729.6161_none_08e61857a83bc251\\msvcr90.dll). The second one is after

_ctypes.pyd (the path is C:\\Program Files\\Intel\\iCLS Client\\msvcr90.dll). The directory of the second dll is included in the PATH variable of my system.

The error doesn't occur if I edit qgis.bat as the following:

- path %PATH%;%OSGEO4W_ROOT%\\apps\\qgis\\bin;%OSGEO4W_ROOT%\\apps\\grass\\grass-6.4.3\\lib

+ path %OSGEO4W_ROOT%\\bin;%OSGEO4W_ROOT%\\apps\\qgis\\bin;%OSGEO4W_ROOT%\\apps\\grass\\grass-6.4.3\\lib

Otherwise, with QGIS and dependencies built with MSVC++2008 set up to 64-bit platform, I don't get the error.

#15 - 2013-10-03 07:34 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"c797895ca7ceb558b7811b88f764c89e6fd278b6".

#16 - 2013-10-08 06:09 PM - Minoru Akagi

- Status changed from Closed to Reopened

2025-06-08 4/5

https://www.dropbox.com/s/h0pitcgcxpzg3mb/Capture.JPG
http://www.qgis.org/downloads/tests/


I started QGIS 2.0 64bit with the above fix, and then still the error message (R6034) was displayed.

#17 - 2013-10-10 08:47 PM - Minoru Akagi

- Status changed from Reopened to Closed

After updating the msvcrt package to 1.0.1-3, I don't get the error message anymore. Thanks!
